Loading...
Searching...
No Matches
Opm::TaskletInterface Class Referenceabstract

The base class for tasklets. More...

`#include <tasklets.hpp>`

Inheritance diagram for Opm::TaskletInterface:

## Public Member Functions

| TaskletInterface (int refCount=1)
virtual void | run ()=0
virtual bool | isEndMarker () const
void | dereference ()
int | referenceCount () const

## Detailed Description

The base class for tasklets.

Tasklets are a generic mechanism for potentially running work in a separate thread.

The documentation for this class was generated from the following file:

- opm/models/parallel/tasklets.hpp